`timescale 1ns / 1ps

module wrapper(
input clk,
input rst,
input btn,
output led,
output [3:0]JA
   );
wire [11:0] counter1;

wire clk_div;
wire clk_div2;
wire clk_div3;



    clock_divider #(
        .max_count(300000)
    ) clk_div1er (
        .clk(clk), 
        .rst(rst), 
        .clk_div(clk_div)
    );
    
    clock_divider #(
        .max_count(1)
    )clk_div2er(
        .clk(clk), 
        .rst(rst), 
        .clk_div(clk_div2)
    );
    
    clock_divider #(
        .max_count(100)
    )clk_div3er(
        .clk(clk), 
        .rst(rst), 
        .clk_div(clk_div3)
    );

up_down_counter counter1 (
    .clk(clk_div), 
    .counter(counter1)
    );


DA2RefComp refComp1 (
    .CLK(clk_div2), 
    .RST(rst), 
    .D1(JA[1]), 
    .D2(JA[2]), 
    .CLK_OUT(JA[3]), 
    .nSYNC(JA[0]), 
    .DATA1(counter1), 
    .DATA2(counter1), 
    .START(clk_div3), 
    .DONE(led)
    );



endmodule
